Function
globalAlignment
Computes the best global alignment of the two sequences.
globalAlignment(align, score [, align_config], tag)
globalAlignment(result, strings, score [, align_config], tag)
globalAlignment(result, strings, score [, align_config], diagLow, diagHigh, tag)
Include Headers
seqan/graph_align.h
Parameters

align | An alignment data structure containing two sequences. Types: Align, Alignment Graph
result | A data structure that gets the result of the alignment procedure, e.g., a file stream, or std::cout for a textual alignment, or a FragmentString for storing all the matches.
strings | A string set with that contains two sequences. Types: StringSet
score | The score values to be used for computing the alignment. Types: Score

align_config

Alignment configuration options. (optional)
Types: AlignConfig
Remarks: The class AlignConfig has four boolean parameters, i.e., TTop, TLeft, TRight, and TBottom. If TTop is true the first row of the DP Matrix is initialized with 0's. If TLeft is true the first column is initialized with 0's. If TRight is true, the maximum is search in the last column. If TBottom is true, the maximum is searched in the last row. All options can be combined in all possible ways.
This feature is not yet supported for all alignment algorithms (e.g. Hirschberg).

diagHigh | The upmost diagonal that will be computed for banded alignment.
tag | A tag indicating the alignment algorithm to use. Types: Global Alignment Algorithms

Return Values
The maximum score of an global alignment between two sequences given in align or strings.

align | An optimal global alignment. Remarks: If there was an alignment stored in align before globalAlignment was called, it will be replaced.
result | An optimal global alignment.

Example Programs
Global Alignments
See Also
bandedAlignment, Global Alignment Algorithms
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47